Commit 32394b3c authored by Tim-Philipp Müller's avatar Tim-Philipp Müller 🐠

configure.ac: libflac-1.1.3 changed API again, but we can't build against it...

configure.ac: libflac-1.1.3 changed API again, but we can't build against it yet, so make sure our check doesn't use ...

Original commit message from CVS:
* configure.ac:
libflac-1.1.3 changed API again, but we can't build against it yet,
so make sure our check doesn't use libflac-1.1.3 and add a comment
to this effect.
parent 59c11224
2006-12-14 Tim-Philipp Müller <tim at centricular dot net>
* configure.ac:
libflac-1.1.3 changed API again, but we can't build against it yet,
so make sure our check doesn't use libflac-1.1.3 and add a comment
to this effect.
2006-12-14 Tim-Philipp Müller <tim at centricular dot net>
* gst/effectv/gstquark.c: (gst_quarktv_transform),
......
......@@ -553,6 +553,8 @@ translit(dnm, m, l) AM_CONDITIONAL(USE_FLAC, true)
GST_CHECK_FEATURE(FLAC, [FLAC lossless audio], flac, [
GST_CHECK_LIBHEADER(FLAC, FLAC, FLAC__seekable_stream_encoder_new, -lm, FLAC/all.h, FLAC_LIBS="-lFLAC -lm")
dnl API change in FLAC 1.1.1, so require that...
dnl (this check will also fail with FLAC 1.1.3 which changed API again
dnl and with which our plugin does not compile or work yet)
if test x$HAVE_FLAC = xyes; then
AC_CHECK_DECL(FLAC__SEEKABLE_STREAM_ENCODER_TELL_ERROR,
HAVE_FLAC="yes", HAVE_FLAC="no", [
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment